// -*- c++ -*-
/***************************************************************************
                           channelimportdlgimpl.h
                           ----------------------
    begin                : Sat Oct 25 2003
    copyright            : (C) 2003 by Dirk Ziegelmeier
    email                : dziegel@gmx.de
    rcs data             : $Id: channelimportdlgimpl.h,v 1.1 2003/10/25 18:03:14 dziegel Exp $
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CHANNELIMPORTDLGIMPL_H
#define CHANNELIMPORTDLGIMPL_H

#include "channelimportdlg.h"

class QtVision;
class ChannelImporter;

/**
 * @author Dirk Ziegelmeier <dziegel@gmx.de>
 */

class ChannelImportDlgImpl : public ChannelImportDlg
{
    Q_OBJECT
	
public: 
    ChannelImportDlgImpl(QtVision*, QWidget* = 0, const char* = 0, bool = true, WFlags = 0);
    ~ChannelImportDlgImpl();

    
private slots:
    virtual void accept();
    

 private:
    QtVision*        _qtv;
    ChannelImporter* _importer;
};

#endif
