// -*- c++ -*-
/***************************************************************************
                           qtvisionsettingswidgetimpl.h
                           ----------------------------
    begin                : Sun Oct 19 2003
    copyright            : (C) 2003 by Dirk Ziegelmeier
    email                : dziegel@gmx.de
    rcs data             : $Id: qtvisionsettingswidgetimpl.h,v 1.1 2003/10/20 08:21:11 dziegel Exp $
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QTVISIONSETTINGSWIDGETIMPL_H
#define QTVISIONSETTINGSWIDGETIMPL_H

#include "qtvisionsettingswidget.h"
#include "settingsdialogpage.h"

class MainWindow;

/**
 * @author Dirk Ziegelmeier <dziegel@gmx.de>
 */
class QtVisionSettingsWidgetImpl : public QtVisionSettingsWidget, public SettingsDialogPage
{
    Q_OBJECT
	
 public: 
    QtVisionSettingsWidgetImpl(QWidget*, MainWindow*);
    ~QtVisionSettingsWidgetImpl();
    
    virtual void setup();
    virtual void apply();
    virtual void defaults();

 private:
    MainWindow* _mw;
};

#endif
